Bug 484257 - mono-core and monodoc have dependency in yum that stops install separately at trans check
mono-core and monodoc have dependency in yum that stops install separately at...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 12:22 EST by stanl
Modified: 2009-12-18 02:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:49:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stanl 2009-02-05 12:22:04 EST
Description of problem:  If mono-core is updated from the updates testing repository it pulls in all dependencies except monodoc.  It then fails in transaction check.  The same thing happens when monodoc is updated individually using yum.


Version-Release number of selected component (if applicable):


How reproducible: Every time.


Steps to Reproduce:
1. yum update --enable-repo=updates-testing mono-core | monodoc
2.
3.
  
Actual results:  Fails after transaction check


Expected results:  Pulls in all dependencies successfully and completes install


Additional info:

Transaction Check Error:
  file /usr/bin/mod from install of mono-core-2.2-1.fc10.x86_64 conflicts with file from package monodoc-2.0-5.fc10.x86_64
  file /etc/mono/2.0/machine.config conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /etc/mono/config conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /etc/mono/mconfig/config.xml conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/bin/gacutil conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/mcs.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/mono.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/monolinker.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man5/mono-config.5.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64

Transaction Check Error:
  file /etc/mono/2.0/machine.config conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /etc/mono/config conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /etc/mono/mconfig/config.xml conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/bin/gacutil conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/mcs.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/mono.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man1/monolinker.1.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
  file /usr/share/man/man5/mono-config.5.gz conflicts between attempted installs of mono-core-2.0.1-12.fc10.i386 and mono-core-2.2-1.fc10.x86_64
Comment 1 stanl 2009-02-20 19:20:54 EST
Update:

This problem is still occurring from updates-testing.  For some reason the x86_64 updates want to pull in the i386 version of mono-core, and it causing the above conflicts.
Comment 2 Bug Zapper 2009-11-18 07:45:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:49:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.